Integration with Angular
You can use DHTMLX Richtext in an application created with the Angular framework. Check the demo on Github.
note
Note, that the implementation provided below is not the only way to use DHTMLX Richtext in a Angular-based application. It gives you initial schema of the integration and implies further extension of the app functionality depending on your goals.
Including source files
To add RichText package into your Angular-based app you need to download the component package and unpack it into a folder of your project.
Then include richtext.js
and richtext.css
files into a page.
Make sure that you set correct relative paths to these files:
<script type="text/javascript" src="codebase/richtext.js"></script>
<link rel="stylesheet" href="codebase/richtext.css">
Initialization
There are two possible scenarios of initializing RichText inside an Angular application. One consists in isolating RichText structure and data inside of the Angular component and another one suggests separating view and data parts with the possibility of interaction between them.
Scenario 1. Isolating RichText in an Angular component
In this variant RichText configuration and data are held inside of the Angular component with no bonds with the external part of the application.
RichText initialization
- Create a
RichText.ts
file, where you will define a Component. Each component must have a template assigned, for RichText it will be a plain DIV tag with a named reference.
@Component({
template: `<div #widget className='widget-box'></div>`
})
- Use the
new Richtext
constructor to initialize RichText inside of the container that you've set above:
export class RichtextComponent implements OnInit, OnDestroy {
@ViewChild('widget') container: ElementRef;
richtext: Richtext;
ngOnInit() {
this.richtext = new Richtext(this.container.nativeElement, {
toolbarBlocks: ['default', 'clear', 'fullscreen']
});
}
}
Changing config
- Next you can do some actions, e.g. add a new control into the toolbar:
export class RichtextComponent implements OnInit, OnDestroy {
@ViewChild('widget') container: ElementRef;
richtext: Richtext;
ngOnInit() {
this.richtext = new Richtext(this.container.nativeElement, {
toolbarBlocks: ['default', 'clear', 'fullscreen']
});
this.richtext.toolbar.data.add({
value: 'MyAction'
});
}
}
Scenario 2. Exposing RichText data and config
This variant adds flexibility in the control over RichText data and configuration by allowing access to them from other parts of the application.
RichText initialization
- The first step is the same. Create a file, let it be
RichText2.ts
this time, and add a container for the RichText:
@Component({
template: `<div #widget className='widget-box'></div>`
})
- Then initialize RichText with the
new RichText
constructor and define the configuration properties of RichText in the object passed as a second parameter of the constructor:
export class RichtextComponent implements OnInit, OnDestroy {
@ViewChild('widget') container: ElementRef;
richtext: Richtext;
ngOnInit() {
this.richtext = new Richtext(this.container.nativeElement, {
mode: this.mode
});
}
}
Working with configuration options
- Set the list of used RichText configuration properties and their types before the initialization function:
export class RichtextComponent implements OnInit, OnDestroy {
@ViewChild('widget') container: ElementRef;
richtext: Richtext;
@Input() mode: 'document' | 'classic' = 'classic';
@Input() value: string;
@Input() dataType: 'html' | 'markdown';
ngOnInit() {
this.richtext = new Richtext(this.container.nativeElement, {
mode: this.mode
});
}
}
The properties of RichText are exposed and available to work with outside the component. In the example below the "document"
mode is specified for richtext:
@Component({
template: `
<div className='app-box'>
<app-richtext mode='document' className='wide-size'></app-richtext>
</div>`
})
Working with RichText API
This variant of using RichText in a Angular application allows working with its API moving all calls of methods and event handlers into a separate file.
First, you can add a couple of wrappers for convenient work with RichText API. The example below shows how you can wrap actions for setting RichText value and handling the change
event taking into account the type of data:
export class RichtextComponent implements OnInit, OnDestroy {
@ViewChild('widget') container: ElementRef;
richtext: Richtext;
ngOnInit() {
this.richtext = new Richtext(this.container.nativeElement, {
mode: this.mode
});
if (this.value) {
this.richtext.setValue(this.value, this.dataType);
}
this.richtext.events.on('change', () => {
this.change.emit(this.richtext.getValue(this.dataType));
});
}
}
After that you can use the ready wrappers in other parts of application.
- Create a
DataSample.ts
file and describe the methods you want to use while working with the richtext. In the example below theupdateMarkdown
andupdateHTML
methods are added for updating the content of the RichText editor:
export class RichtextDataSampleComponent {
@Input() html = '';
@Input() markdown = ``;
updateMarkdown(value) {
this.markdown = value;
}
updateHTML(value) {
this.html = value;
}
}
- Use the above methods to update the Richtext content depending on the type of entered data when some changes are made:
@Component({
template: `
<div className='app-box'>
<app-richtext value='{{html}}' className='wide-size'
(change)="updateHTML($event)"></app-richtext>
<app-richtext value='{{markdown}}' dataType='markdown' className='wide-size'
(change)="updateMarkdown($event)"></app-richtext>
</div>`
})

Integration with Vue.js
You can use DHTMLX Richtext in an application created with the Vue.js framework. Check the demo on Github.
note
Note, that the implementation provided below is not the only way to use DHTMLX Richtext in a Vue.js-based application. It gives you initial schema of integration and implies further extension of the app functionality depending on your goals.
Including source files
To add RichText package into your Vue.js-based app you need to download the component package and unpack it into a folder of your project.
Then include richtext.js
and richtext.css
files into a page.
Make sure that you set correct relative paths to these files:
<script type="text/javascript" src="codebase/richtext.js"></script>
<link rel="stylesheet" href="codebase/richtext.css">
Initialization
There are two possible scenarios of initializing RichText inside a Vue application. One consists in isolating RichText structure and data inside of the Vue component and another one suggests separating view and data parts with the possibility of interaction between them.
Scenario 1. Isolating RichText in a Vue component
In this variant RichText configuration and data are held inside of the Vie component with no bonds with the external part of the application.
RichText initialization
- Create a
RichText.vue
file and add a container for RichText inside the<template></template>
tags. Define the name of the container in theref
attribute:
<template>
<div ref="container" className="widget-box"></div>
</template>
- Define the JS part of the Vue component and use the
new RichText
constructor to initialize RichText inside of the container that you've set above:
<script>
export default {
mounted: function() {
this.richtext = new Richtext(this.$refs.container, {
toolbarBlocks: ["default", "clear", "fullscreen"]
});
}
};
</script>
Changing config
- Next you can do some actions, e.g. add a new control into the toolbar:
<script>
export default {
mounted: function() {
this.richtext = new Richtext(this.$refs.container, {
toolbarBlocks: ["default", "clear", "fullscreen"]
});
this.richtext.toolbar.data.add({
value:"MyAction"
});
}
};
</script>
Scenario 2. Exposing RichText data and config
This variant adds flexibility in the control over RichText data and configuration by allowing access to them from other parts of the application.
RichText initialization
- The first step is the same. Create a file, let it be
RichText2.vue
this time, and add a container for the RichText inside the<template></template>
tags:
<template>
<div ref="container" className="widget-box"></div>
</template>
- Then initialize RichText with the
new RichText
constructor and define the configuration properties of RichText in the object passed as a second parameter of the constructor:
<script>
export default {
mounted: function() {
this.richtext = new Richtext(this.$refs.container, {
mode: this.mode,
css: this.css
});
}
};
</script>
Working with configuration options
- Set the list of used RichText configuration properties and their types in the
props
configuration option:
<script>
export default {
props: {
css: String,
mode: {type: String, default: "classic"},
value: String,
dataType: {type: String, default: "html"}
},
mounted: function() {
this.richtext = new Richtext(this.$refs.container, {
mode: this.mode,
css: this.css
});
}
};
</script>
The properties of RichText are exposed and available to work with outside the component. For example, you can:
- Create another file and change the configuration of RichText from there. In the example below the mode of a richtext id changed to "document":
<template>
<div className='app-box'>
<Richtext mode="document"></Richtext>
</div>
</template>
Working with RichText API
This variant of using RichText in a Vue.js application allows working with its API moving all calls of methods and event handlers into a separate file.
First, you can add a couple of wrappers for convenient work with RichText API. The example below shows how you can wrap actions for setting RichText value and handling the change
event taking into account the type of data:
export default {
props: {
css: String,
mode: {type: String, default: "classic"},
value: String,
dataType: {type: String, default: "html"}
},
mounted: function() {
this.richtext = new Richtext(this.$refs.container, {
mode: this.mode,
css: this.css
});
if (this.value) {
this.richtext.setValue(this.value, this.dataType);
}
this.richtext.events.on("change", () => {
this.$emit("change", this.richtext.getValue(this.dataType));
});
}
}
After that you can use the ready wrappers in other parts of application.
- Create a
DataSample.vue
file and describe the methods you want to use while working with the richtext. In the example below theupdateMarkdown
andupdateHTML
methods are added for updating the the content of the RichText editor:
<script>
import Richtext from "./Richtext.vue";
export default {
components: {
Richtext
},
methods: {
updateHTML(val) {
this.html = val;
},
updateMarkdown(val) {
this.markdown = val;
}
}
}
</script>
- Use the above methods to update the Richtext content depending on the type of entered data when some changes are made:
<template>
<div className='app-box'>
<p>HTML serialize</p>
<Richtext :value="html" v-on:change="updateHTML"></Richtext>
<p>Markdown serialize</p>
<Richtext :value="markdown" dataType=markdown
v-on:change="updateMarkdown"></Richtext>
</div>
</template>

Integration with React
You can use DHTMLX Richtext in an application created with the React framework. Check the demo on Github.
note
Note, that the implementation provided below is not the only way to use DHTMLX Richtext in a React-based application. It gives you initial schema of the integration and implies further extension of the app functionality depending on your goals.
Including source files
To add RichText package into your React-based app you need to download the component package and unpack it into a folder of your project.
Then include richtext.js
and richtext.css
files into a page.
Make sure that you set correct relative paths to these files:
<script type="text/javascript" src="codebase/richtext.js"></script>
<link rel="stylesheet" href="codebase/richtext.css">
Initialization
There are two possible scenarios of initializing RichText inside a React application. One consists in isolating RichText structure and data inside of the React component and another one suggests separating view and data parts with the possibility of interaction between them.
Scenario 1. Isolating RichText in a React component
In this variant RichText configuration and data are held inside of the React component with no bonds with the external part of the application.
RichText initialization
- Create a
RichText.js
file, then create theRichText
class and add a container for RichText using therender()
function. Store the reference to the container in theel
property:
class Richtext extends Component {
render() {
return (
<div ref={el => this.el = el} className="widget-box" style={{width: '800,height:400'}}></div>
);
}
}
- After that use the
new Richtext
constructor to initialize RichText in the container created above:
class RichText extends Component {
componentDidMount() {
this.richtext = new Richtext(this.el, {
toolbarBlocks: ["default", "clear", "fullscreen"]
});
}
}
Changing config
- Next you can do some actions, e.g. add a new control into the toolbar:
class RichText extends Component {
componentDidMount() {
this.richtext = new Richtext(this.el, {
toolbarBlocks: ["default", "clear", "fullscreen"]
});
this.richtext.toolbar.data.add({
value:"MyAction"
});
}
}
Scenario 2. Exposing RichText data and config
This variant adds flexibility in the control over RichText data and configuration by allowing access to them from other parts of the application.
RichText initialization
- The first step is the same. Create a file, let it be
RichText2.js
this time, and add theRichText
class and use thenew RichText
constructor to initialize RichText.
class RichTextComponent extends Component {
componentDidMount() {
this.richtext = new Richtext(this.el, {
// config here
});
}
}
- Define the configuration properties of RichText in the object passed as a second parameter of the constructor:
class RichTextComponent extends Component {
componentDidMount() {
this.richtext = new Richtext(this.el, {
mode: this.props.mode
});
}
}
Thus the props
configuration option will be applied to the RichText widget configuration.
- Then create a container for RichText using the
render()
function:
render() {
return (
<div ref={el => this.el = el} className="widget-box" style={{width: '800,height:400'}}></div>
);
}
Working with configuration options
- Set the list of used RichText configuration properties and their types in the
props
configuration option:
class RichtextComponent extends Component {
componentDidMount() {
this.richtext = new Richtext(this.el, {
mode: this.props.mode
});
}
}
RichtextComponent.propTypes = {
mode: PropTypes.string,
value: PropTypes.string,
dataType: PropTypes.string,
onChange: PropTypes.func
};
RichtextComponent.defaultProps = {
mode: "classic",
dataType: "html"
}
Since the properties of RichText are exposed they are available to work with outside the component. In the example below the "document"
mode is set for the richtext:
<div className='app-box'>
<Richtext mode="document"></Richtext>
</div>
Working with RichText API
This variant of using RichText in a React application allows working with its API moving all calls of methods and event handlers into a separate file.
First, you can add a couple of wrappers for convenient work with RichText API. The example below shows how you can wrap actions for setting RichText value and handling the change
event taking into account the type of data:
class RichtextComponent extends Component {
componentDidMount() {
this.richtext = new Richtext(this.el, {
mode: this.props.mode
});
if (this.props.value) {
this.richtext.setValue(this.props.value, this.props.dataType);
}
if (this.props.onChange) {
this.richtext.events.on("change", () => {
this.props.onChange(this.richtext.getValue(this.props.dataType));
});
}
}
}
After that you can use the ready wrappers in other parts of application.
- Create a
DataSample.js
file and describe the methods you want to use while working with the richtext. In the example below theupdateMarkdown
andupdateHTML
methods are added for updating the the content of the RichText editor:
class DataSample extends Component {
constructor(props) {
super(props);
this.state = {
html: '',
markdown: ``
}
}
updateMarkdown(value) {
this.setState({...this.state, markdown: value});
}
updateHTML(value) {
this.setState({...this.state, html: value});
}
}
- Use the above methods to update the Richtext content depending on the type of entered data when some changes are made:
class DataSample extends Component {
...
render() {
return (
<div className='app-box'>
<p>HTML serialize</p>
<RichtextComponent value={this.state.html}
onChange={val => this.updateHTML(val)}></RichtextComponent>
<hr />
<p>Markdown serialize</p>
<RichtextComponent value={this.state.markdown} dataType="markdown"
onChange={val => this.updateMarkdown(val)}></RichtextComponent>
</div>
);
...
}
}